/** common **/

*,
*:after {
    box-sizing: border-box;
}

html{
    font-size:50px;
}

body {
    width:100%;
    font-size: 0.28rem;
    color: #333;
}

a {
    color: inherit;
}

img {
    display: block;
    width: 100%;
}
input,
input:focus{
    outline:none;
    box-shadow:none;
}

input::-webkit-input-placeholder{
    font-size:.9em;
    color:#666;
}
button, .vote-btn, .btn-white{
    -webkit-tap-highlight-color: rgba(255,255,255,0);
    -webkit-tap-highlight-color: rgba(0,0,0,.4)!important;
}

/** toast **/
.toastWrap .toast {
    min-width:3.2rem;
    width:auto;
    max-width:4.8rem;
    height:1.6rem;
    padding:0 .2rem;
    border-radius: .2rem;
    font-size:.28rem;
}


/** 全部 loading **/
.body-loading{
    position: fixed;
    top:0;
    bottom:0;
    left:0;
    right:0;
    background-color:rgba(0,0,0,.5);
    z-index:210;
}
.body-loading img{
    position:relative;
    top:45%;
    width:40px;
}

/* Slider */

.slick-slider {
    position: relative;
    display: block;
    width:100%;
    box-sizing: border-box;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-touch-callout: none;
    -khtml-user-select: none;
    -ms-touch-action: pan-y;
    touch-action: pan-y;
    -webkit-tap-highlight-color: transparent;
}

.slick-list {
    position: relative;
    display: block;
    overflow: hidden;
    margin: 0;
    padding: 0;
}

.slick-list:focus {
    outline: none;
}

.slick-list.dragging {
    cursor: pointer;
    cursor: hand;
}

.slick-slider .slick-track,
.slick-slider .slick-list {
    -webkit-transform: translate3d(0, 0, 0);
    -moz-transform: translate3d(0, 0, 0);
    -ms-transform: translate3d(0, 0, 0);
    -o-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}

.slick-track {
    position: relative;
    top: 0;
    left: 0;
    display: block;
}

.slick-track:before,
.slick-track:after {
    display: table;
    content: '';
}

.slick-track:after {
    clear: both;
}

.slick-loading .slick-track {
    visibility: hidden;
}

.slick-slide {
    display: none;
    float: left;
    height: 6.2rem;
    min-height: 1px;
}

[dir='rtl'] .slick-slide {
    float: right;
}

.slick-slide img {
    display: block;
}

.slick-slide.slick-loading img {
    display: none;
}

.slick-slide.dragging img {
    pointer-events: none;
}

.slick-initialized .slick-slide {
    display: block;
}

.slick-loading .slick-slide {
    visibility: hidden;
}

.slick-vertical .slick-slide {
    display: block;
    height: auto;
    border: 1px solid transparent;
}

.slick-arrow.slick-hidden {
    display: none;
}


/* Dots */

.slick-dots {
    position: absolute;
    bottom: -0.32rem;
    display: block;
    width: 100%;
    padding: 0;
    margin: 0;
    list-style: none;
    text-align: center;
}

.slick-dots li {
    position: relative;
    display: inline-block;
    margin: 0 .05rem;
    padding: 0;
    cursor: pointer;
}

.slick-dots li button {
    font-size: 0;
    line-height: 0;
    display: block;
    width: 10px;
    height: 10px;
    padding: 5px 0;
    cursor: pointer;
    color: transparent;
    border: 0;
    outline: none;
    background: transparent;
}

.slick-dots li button:hover,
.slick-dots li button:focus {
    outline: none;
}

.slick-dots li button:hover:before,
.slick-dots li button:focus:before {
    opacity: 1;
}

.slick-dots li button:before {
    position: absolute;
    top: 0;
    left: 0;
    width: .12rem;
    height: .12rem;
    content: ' ';
    text-align: center;
    opacity: .45;
    background: #fff;
    border-radius: 50%;
}

.slick-dots li.slick-active button:before {
    opacity: 1;
}


/** 通用 **/
.btn-white{
    width:100%;
    height:.7rem;
    background:#fff;
    border:2px solid #333;
    border-radius:.7rem;
    font-size:.3rem;
    letter-spacing: .05em;
    text-align:center;
}
a.btn-white{
    display:block;
    line-height:.66rem;
}
.btn-white:active, .btn-white:focus{
    background-color:rgba(255,255,255,.8);
}
.btn-white[disabled], .btn-white.disabled{
    opacity:.5;
    border-color:#fff;
}
.vote-body {
    background: #f9c700;
}
.vote-body .nodata{
    padding:.8rem 0;
    text-align:center;
}
.vote-body.hasFixed {
    padding-bottom:1.4rem;
}
.vote-body.ios-fixed {
    position: fixed;
    top:0;
    bottom:0;
    width:100%;
    padding-bottom:0;
}

.vote-body.ios-fixed .scroll-main{
    position: absolute;
    left:0;
    top: 0;
    right:0;
    bottom: 1rem;
    width: 100%;
    margin: 0 auto;
    max-width: 750px;
    overflow: auto;
    padding-bottom: .5rem;
    -webkit-overflow-scrolling: touch;
}

.vote-body.ios-fixed .footer{
    position: absolute;
    left:0;
    bottom: -1rem;
    width: 100%;
}

.vote-body .main {
    padding: .3rem;
}

.vote-body .banner {
    width:100%;
    height: 6.8rem;
    overflow: hidden;
}

.vote-body section {
    position: relative;
    margin-bottom: .5rem;
}

.vote-body section .title {
    position: absolute;
    top: -0.27rem;
    left: 0;
    right: 0;
    text-align: center;
}

.vote-body .title span {
    position: relative;
    display: inline-block;
    min-width: 1.88rem;
    height: 0.54rem;
    line-height: 0.54rem;
    padding: 0 8px;
    background: #333;
    border-radius: 3px;
    color: #f9c700;
    font-size: .32rem;
}

.vote-body .title span:before,
.vote-body .title span:after {
    content: "";
    position: absolute;
    top: 0.06rem;
    width: 0.2rem;
    height: 0.4rem;
    background: url('https://media.songguo7.com/ebike-static/activity/vote/index/icon-tag.png') no-repeat center;
    background-size: 100% 100%;
    opacity: .6;
}

.vote-body .title span:before {
    left: -0.19rem;
}

.vote-body .title span:after {
    right: -0.2rem;
    -webkit-transform: scale(-1);
    transform: scale(-1);
}


/** icon **/

.icon {
    display: inline-block;
    background-repeat: no-repeat;
    background-position: center;
    background-size: auto 100%;
}

.icon-change {
    width: 15px;
    height: 14px;
    background-image: url('https://media.songguo7.com/ebike-static/activity/vote/index/icon-change.png');
}

.icon-reward {
    width: 15px;
    height: 13px;
    background-image: url('https://media.songguo7.com/ebike-static/activity/vote/index/icon-reward.png');
}

.icon-prize {
    width: 1.54rem;
    height: .94rem;
    background-image: url('https://media.songguo7.com/ebike-static/activity/vote/index/icon-prize.png');
}
.icon-prize-lg{
    width:3rem;
    height:1.77rem;
    background:url(https://media.songguo7.com/ebike-static/activity/vote/index/icon-prize-lg.png) no-repeat center;
    background-size:auto 100%;
}
.icon-prize-m{
    width:2.5rem;
    height:1.15rem;
    background:url(https://media.songguo7.com/ebike-static/activity/vote/index/icon-prize-lg.png) no-repeat center;
    background-size:auto 100%;
}

.icon-level {
    width: 17px;
    height: 13px;
    background-image: url('https://media.songguo7.com/ebike-static/activity/vote/index/icon-level.png');
}

.icon-search {
    width: .38rem;
    height: .38rem;
    background-image: url('https://media.songguo7.com/ebike-static/activity/vote/index/icon-search.png');
}

.icon-arrow-down {
    width: 9px;
    height: 5px;
    background-image: url('https://media.songguo7.com/ebike-static/activity/vote/index/icon-arrow-down.png');
}

.icon-close {
    width:.34rem;
    height:.34rem;
    background-image:url('https://media.songguo7.com/ebike-static/activity/vote/index/icon-closes.png');
    background-position:0 0;
}
.icon-close.yellow{
    background-position: -0.36rem 0;
}
.icon-close.white{
    background-position: right 0;
}

.icon-indicate {
    width:.7rem;
    height:.4rem;
    background-image:url('https://media.songguo7.com/ebike-static/activity/vote/index/icon-indicate.png');
}

.icon-logo {
    width:2.2rem;
    height:.6rem;
    background-image:url('https://media.songguo7.com/ebike-static/common/logo-black.png');
}

/** 加载更多 **/
.show-more{
    margin:.3rem 0 .1rem;
    text-align:center;
}
.show-more .more-icons{
    display:inline-block;
}
.show-more .icon-wrap{
    height:5px;
    line-height:5px;
    /*margin:3px 0;
    animation-name:move;
    animation-duration: 2s;
    animation-timing-function:ease-out;
    animation-iteration-count:infinite;
    opacity:0;*/
}
.show-more .move-2{
    animation-delay:.4s;
}
.show-more .move-3{
    display:none;
    animation-delay:.8s;
}
@keyframes move{
    0%{
        opacity:0;
    }
    50%{
        opacity:1;
    }
    100%{
        opacity:0;
    }
}
@-webkit-keyframes move{
    0%{
        opacity:0;
    }
    50%{
        opacity:1;
    }
    100%{
        opacity:0;
    }
}

/** 微信公众号二维码 **/
.wechat-code{
    display:none;
    margin-bottom:.76rem!important;
}

/** 关于松果电单车 **/

.about-us {
    padding: .7rem .3rem 0;
    background: #fff;
    border-radius: 8px;
    border: .03rem solid #333;
}

.about-us dl {
    margin-bottom: .6rem;
}

.about-us dt {
    position: relative;
    line-height: 1;
    margin-bottom: .3rem;
    font-weight: bold;
}

.about-us dt:before {
    content: "";
    position: absolute;
    top: .14rem;
    left: 0;
    width: 100%;
    border-top: 1px solid #333;
    z-index: 0;
}

.about-us dt span {
    position: relative;
    padding-right: 10px;
    background: #fff;
    z-index: 1;
}

.about-us dt .tit-1 {
    margin-top: 5px;
}

.about-us .step-wrap {
    text-align: center;
}

.about-us .step {
    display: inline-block;
    width: 45%;
    margin: 0 2%;
    vertical-align: top;
}

.about-us .step p {
    margin: .2rem 0 .3rem;
}

.about-us .station-content img {
    margin: .5rem 0 .3rem;
}

.about-us .station-content p {
    padding: 0 .3rem;
    line-height: 1.8;
}


/** footer **/

.footer {
    position: fixed;
    bottom: -1rem;
    left: 0;
    right: 0;
    border-top: 3px solid #dedede;
    z-index: 100;
}

.footer p {
    line-height: 1;
}

.footer:before {
    content: "";
    position: absolute;
    top: -0.9rem;
    left: 50%;
    width: 1.8rem;
    height: 1.8rem;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
    background: #333;
    border: 3px solid #f9c700;
    border-radius: 50% 50% 0 0;
    box-shadow: 0 0 0 3px rgba(255, 255, 255, 1);
    z-index: -1;
}

.footer-wrap {
    position: relative;
    padding: 0 5%;
    z-index: 0;
    background: #333;
    color: #f9c700;
}

.footer a {
    display: block;
    float: left;
    text-align: center;
    width: 27.333%;
    height: 2rem;
    margin: 0 3%;
    padding-top: .12rem;
}

.footer .sign-up {
    position: relative;
    top: -0.8rem;
    font-size: .4rem;
    font-weight: bold;
}

/** 验证码弹框 **/
.modal{
    display:none;
    position:fixed;
    top:0;
    left:0;
    bottom:0;
    right:0;
    background:rgba(0,0,0,.6);
    z-index:200;
}
.modal-dialog{
    position:absolute;
    width:75%;
    top:50%;
    left:12.5%;
    border-radius:8px;
    background:#fff;
    -webkit-transform:translateY(-50%);
    transform:translateY(-50%);
}
.modal-content{
    position: relative;
    padding:.3rem;
}
.modal .close-btn{
    position:absolute;
    top:.32rem;
    left:.35rem;
    text-indent: -8000px;
}
.modal-header{
    margin-bottom:.2rem;
    line-height:1.5;
    font-weight:bold;
}
.modal-body p{
    line-height:1.4;
}
.modal-title{
    margin-top: .4rem;
    margin-bottom: .8rem;
}
.modal-info{
    padding-top: .4rem;
}
.modal-info p{
    height: .48rem;
    line-height: .48rem;
}
.modal .modal-info button{
    margin-top: .5rem;
}
/* animation end */

.modal-code .modal-dialog{
    border:2px solid #333;
    background:#f9c700 url(https://media.songguo7.com/ebike-static/activity/vote/index/modal-bg-1.png) no-repeat center;
    background-size: 85% auto;
    text-align:center;
}
.modal-code .modal-content{
    min-height:5rem;
    padding-top:.32rem;
    padding-bottom:0;
}
.modal-code .form{
    position: relative;
    top:-0.34rem;
    z-index:1;
}
.modal-code input,
.modal-code button{
    display:block;
    width:80%;
    height:.74rem;
    margin:0 auto;
    border:2px solid #333;
    border-radius:.37rem;
    text-align:center;
    font-size:.3rem;
}
.modal-code input{
    background-color:#f9c700;
    border-color:#666;
}
.modal-code button{
    margin-top:.32rem;
    margin-bottom:.2rem;
    background-color:#fff;
}
.modal-code button:active{
    background-color:#fcf3d6;
}
/** share wechat **/
.modal-share .tips-img{
    text-align:right;
    margin-bottom:2rem;
    padding:20px 30px;
}
.modal-share .tips-img img{
    display:inline-block;
    width:3.45rem;
}
.modal-share .btn-area{
    width:50%;
    margin:0 auto;
}

/* animation */
.modal.modal-code .modal-dialog{
    -webkit-animation: modal .5s ease-out 1;
    animation: modal .5s ease-out 1;
    opacity:1;
}
.modal.modal-code.show{
    display:block;
}
.modal.modal-code.show .modal-dialog{
    visibility: visible;
    opacity:1;
    -webkit-transform:translateY(-50%);
    transform:translateY(-50%);
    transition:all .5s ease-out;
}

@keyframes modal{
    0%{
        opacity:0;
        -webkit-transform:translateY(-30%);
        transform:translateY(-30%);
    }
    100%{
        opacity:1;
        -webkit-transform:translateY(-50%);
        transform:translateY(-50%);
    }
}
@-webkit-keyframes modal{
    0%{
        opacity:0;
        -webkit-transform:translateY(-30%);
        transform:translateY(-30%);
    }
    100%{
        opacity:1;
        -webkit-transform:translateY(-50%);
        transform:translateY(-50%);
    }
}
.order-loading{
    margin:20px 0;
}

/** 活动结束 **/
.top-tips{
    display:none;
    background:#e7503f;
    height:1rem;
    line-height:1rem;
    text-align:center;
    color:#fff;
    font-size:.34rem;
}
.end-tips .tips-content{
    position:relative;
    display:inline-block;
    padding-left:.6rem;
    font-weight:bold;
}
.end-tips .tips-content:before{
    content:"";
    position: absolute;
    top:.2rem;
    left:0;
    width:.46rem;
    height:.5rem;
    background:url(https://media.songguo7.com/ebike-static/activity/vote/common/flag.png) no-repeat 0 0;
    background-size:100% 100%;
}